define([], function() { return "import * as React from 'react';\nimport { Calendar } from './Calendar';\n\nexport interface ICalendar {\n  /** Sets focus to the selected date. */\n  focus(): void;\n}\n\nexport interface ICalendarProps extends React.Props<Calendar> {\n  /**\n  * Callback issued when a date is selected\n  */\n  onSelectDate?: (date: Date) => void;\n\n  /**\n   * Callback issued when calendar is closed\n   */\n  onDismiss?: () => void;\n\n  /**\n   * Whether the month picker is shown beside the day picker or hidden.\n   * @defaultvalue true\n   */\n  isMonthPickerVisible?: boolean;\n\n  /**\n   * Default value of the Calendar, if any\n   */\n  value?: Date;\n\n  /**\n   * The first day of the week for your locale.\n   * @defaultvalue DayOfWeek.Sunday\n   */\n  firstDayOfWeek?: DayOfWeek;\n\n  /**\n   * @deprecated\n   * This property has been removed at 0.80.0 in place of the focus method, to be removed @ 1.0.0.\n   *\n   */\n  shouldFocusOnMount?: boolean;\n\n  /**\n   * Localized strings to use in the Calendar\n   */\n  strings: ICalendarStrings;\n}\n\nexport enum DayOfWeek {\n  Sunday = 0,\n  Monday = 1,\n  Tuesday = 2,\n  Wednesday = 3,\n  Thursday = 4,\n  Friday = 5,\n  Saturday = 6\n}\n\nexport interface ICalendarStrings {\n  /**\n   * An array of strings for the full names of months.\n   * The array is 0-based, so months[0] should be the full name of January.\n   */\n  months: string[];\n\n  /**\n   * An array of strings for the short names of months.\n   * The array is 0-based, so shortMonths[0] should be the short name of January.\n   */\n  shortMonths: string[];\n\n  /**\n   * An array of strings for the full names of days of the week.\n   * The array is 0-based, so days[0] should be the full name of Sunday.\n   */\n  days: string[];\n\n  /**\n   * An array of strings for the initials of the days of the week.\n   * The array is 0-based, so days[0] should be the initial of Sunday.\n   */\n  shortDays: string[];\n\n  /**\n   * String to render for button to direct the user to today's date.\n   */\n  goToToday: string;\n}\n"; });