define([], function() { return "import * as React from 'react';\n\n/**\n * Rating component props.\n */\nexport interface IRatingProps extends React.HTMLProps<HTMLElement> {\n  /**\n   * Selected rating, has to be an integer between min and max\n   */\n  rating?: number;\n\n  /**\n   * Minimum rating, defaults to 1, has to be >= 0\n   */\n  min?: number;\n\n  /**\n   * Maximum rating, defaults to 5, has to be >= min\n   */\n  max?: number;\n\n  /**\n   * Custom icon, defaults to FavoriteStar\n   */\n  icon?: string;\n\n  /**\n   * Size of rating, defaults to small\n   */\n  size?: RatingSize;\n\n  /**\n   * Callback when the rating has changed\n   */\n  onChanged?: (rating: number) => void;\n\n  /**\n   * Optional label for star ratings, will be read by screen readers, defaults to 'Star'.\n   */\n  ariaLabelIcon?: string;\n\n  /**\n   * Optional id of label describing this instance of Rating\n   */\n  ariaLabelId?: string;\n}\n\nexport enum RatingSize {\n  Small = 0,\n  Large = 1\n}"; });