define([], function() { return "import * as React from 'react';\nimport { Button } from '../../../../Button';\nimport { Callout, DirectionalHint } from '../../../../Callout';\nimport {\n  Calendar,\n  DayOfWeek\n} from '../../../../Calendar';\n\nconst DayPickerStrings = {\n  months: [\n    'January',\n    'February',\n    'March',\n    'April',\n    'May',\n    'June',\n    'July',\n    'August',\n    'September',\n    'October',\n    'November',\n    'December'\n  ],\n\n  shortMonths: [\n    'Jan',\n    'Feb',\n    'Mar',\n    'Apr',\n    'May',\n    'Jun',\n    'Jul',\n    'Aug',\n    'Sep',\n    'Oct',\n    'Nov',\n    'Dec'\n  ],\n\n  days: [\n    'Sunday',\n    'Monday',\n    'Tuesday',\n    'Wednesday',\n    'Thursday',\n    'Friday',\n    'Saturday'\n  ],\n\n  shortDays: [\n    'S',\n    'M',\n    'T',\n    'W',\n    'T',\n    'F',\n    'S'\n  ],\n\n  goToToday: 'Go to today'\n};\n\nexport interface ICalendarButtonExampleState {\n  showCalendar: boolean;\n  selectedDate: Date;\n}\n\nexport class CalendarButtonExample extends React.Component<any, ICalendarButtonExampleState> {\n  private _calendarButtonElement: HTMLElement;\n\n  public constructor() {\n    super();\n\n    this.state = {\n      showCalendar: false,\n      selectedDate: null\n    };\n\n    this._onClick = this._onClick.bind(this);\n    this._onDismiss = this._onDismiss.bind(this);\n    this._onSelectDate = this._onSelectDate.bind(this);\n  }\n\n  public render() {\n    return (\n      <div>\n        <div ref={ (calendarBtn) => this._calendarButtonElement = calendarBtn }>\n          <Button onClick={ this._onClick } >\n            { this.state.selectedDate == null ? 'Click for Calendar' : this.state.selectedDate.toLocaleDateString() }\n          </Button>\n        </div>\n        { this.state.showCalendar && (\n          <Callout\n            isBeakVisible={ false }\n            className='ms-DatePicker-callout'\n            gapSpace={ 0 }\n            doNotLayer={ false }\n            targetElement={ this._calendarButtonElement }\n            directionalHint={ DirectionalHint.bottomLeftEdge }\n            onDismiss={ this._onDismiss }\n            setInitialFocus={ false }\n          >\n            <Calendar\n              onSelectDate={ this._onSelectDate }\n              onDismiss={ this._onDismiss }\n              isMonthPickerVisible={ true }\n              value={ this.state.selectedDate }\n              firstDayOfWeek={ DayOfWeek.Sunday }\n              strings={ DayPickerStrings }\n            >\n            </Calendar>\n          </Callout>\n        )\n        }\n      </div>\n    );\n  }\n\n  private _onClick(event: any) {\n    this.setState((prevState: ICalendarButtonExampleState) => {\n      prevState.showCalendar = !prevState.showCalendar;\n      return prevState;\n    });\n  }\n\n  private _onDismiss() {\n    this.setState((prevState: ICalendarButtonExampleState) => {\n      prevState.showCalendar = false;\n      return prevState;\n    });\n  }\n\n  private _onSelectDate(date: Date) {\n    this.setState((prevState: ICalendarButtonExampleState) => {\n      prevState.showCalendar = false;\n      prevState.selectedDate = date;\n      return prevState;\n    });\n  }\n}\n"; });