define([], function() { return "import * as React from 'react';\nimport { ChoiceGroup, IChoiceGroupOption } from '../../../../ChoiceGroup';\nimport { autobind } from '../../../../Utilities';\n\n/**\n * Interface for ChoiceGroupBasicExample state.\n */\nexport interface IChoiceGroupBasicExampleState {\n  imageKey: string;\n}\n\nexport class ChoiceGroupBasicExample extends React.Component<any, IChoiceGroupBasicExampleState> {\n  constructor() {\n    super();\n\n    this.state = {\n      imageKey: ''\n    };\n\n    this._onImageChoiceGroupChange = this._onImageChoiceGroupChange.bind(this);\n  }\n\n  public render() {\n    return (\n      <div>\n        <ChoiceGroup\n          options={ [\n            {\n              key: 'A',\n              text: 'Option A'\n            },\n            {\n              key: 'B',\n              text: 'Option B',\n              checked: true\n            },\n            {\n              key: 'C',\n              text: 'Option C',\n              disabled: true\n            },\n            {\n              key: 'D',\n              text: 'Option D',\n              checked: true,\n              disabled: true\n            }\n          ] }\n          onChange={ this._onChange }\n          label='Pick one'\n          required={ true }\n        />\n        <ChoiceGroup\n          label='Pick one image'\n          options={ [\n            {\n              key: 'bar',\n              checked: this.state.imageKey === 'bar',\n              imageSrc: 'dist/choicegroup-bar-unselected.png',\n              selectedImageSrc: 'dist/choicegroup-bar-selected.png',\n              imageSize: { width: 50, height: 50 },\n              text: 'Bar chart'\n            },\n            {\n              key: 'pie',\n              checked: this.state.imageKey === 'pie',\n              imageSrc: 'dist/choicegroup-pie-unselected.png',\n              selectedImageSrc: 'dist/choicegroup-pie-selected.png',\n              imageSize: { width: 50, height: 50 },\n              text: 'Pie chart'\n            }\n          ] }\n          onChange={ this._onImageChoiceGroupChange }\n        />\n      </div>\n    );\n  }\n\n  @autobind\n  private _onChange(ev: React.FormEvent<HTMLInputElement>, option: any) {\n    console.dir(option);\n  }\n\n  private _onImageChoiceGroupChange(ev: React.SyntheticEvent<HTMLElement>, option: IChoiceGroupOption) {\n    this.setState({\n      imageKey: option.key\n    });\n  }\n}\n"; });