define([], function() { return "import * as React from 'react';\nimport { ContextualMenu } from '../../../../ContextualMenu';\nimport { Callout, DirectionalHint } from '../../../../Callout';\nimport { Button } from '../../../../Button';\nimport { getRTL } from '../../../../Utilities';\nimport './ContextualMenuExample.scss';\n\nexport class ContextualMenuBasicExample extends React.Component<any, any> {\n\n  constructor() {\n    super();\n    this.state = {\n      isContextMenuVisible: false,\n      showCallout: false\n    };\n    this._onClick = this._onClick.bind(this);\n    this._onDismiss = this._onDismiss.bind(this);\n  }\n\n  public render() {\n    let { showCallout } = this.state;\n\n    return (\n      <div>\n        <Button onClick={ this._onClick } id='ContextualMenuButton1'> Click for ContextualMenu </Button>\n        { this.state.isContextMenuVisible ? (\n          <ContextualMenu\n            shouldFocusOnMount={ true }\n            target={ this.state.target }\n            onDismiss={ this._onDismiss }\n            directionalHint={ getRTL() ? DirectionalHint.bottomRightEdge : DirectionalHint.bottomLeftEdge }\n            items={\n              [\n                {\n                  key: 'newItem',\n                  iconProps: {\n                    iconName: 'Add'\n                  },\n                  subMenuProps: {\n                    items: [\n                      {\n                        key: 'emailMessage',\n                        name: 'Email message',\n                        title: 'Create an email'\n                      },\n                      {\n                        key: 'calendarEvent',\n                        name: 'Calendar event',\n                        title: 'Create a calendar event',\n                      }\n                    ],\n                  },\n                  name: 'New'\n                },\n                {\n                  key: 'upload',\n                  onClick: () => {\n                    this.setState({ showCallout: true });\n                  },\n                  iconProps: {\n                    iconName: 'Upload',\n                    style: {\n                      color: 'salmon'\n                    }\n                  },\n                  name: 'Upload (Custom Color)',\n                  title: 'Upload a file'\n                },\n                {\n                  key: 'divider_1',\n                  name: '-',\n                },\n                {\n                  key: 'rename',\n                  name: 'Rename'\n                },\n                {\n                  key: 'properties',\n                  name: 'Properties'\n                },\n                {\n                  key: 'disabled',\n                  name: 'Disabled item',\n                  disabled: true,\n                },\n                {\n                  key: 'divider_2',\n                  name: '-',\n                },\n                {\n                  key: 'share',\n                  iconProps: {\n                    iconName: 'Share'\n                  },\n                  subMenuProps: {\n                    items: [\n                      {\n                        key: 'sharetoemail',\n                        name: 'Share to Email',\n                        iconProps: {\n                          iconName: 'Mail'\n                        },\n                      },\n                      {\n                        key: 'sharetofacebook',\n                        name: 'Share to Facebook',\n                      },\n                      {\n                        key: 'sharetotwitter',\n                        name: 'Share to Twitter',\n                        iconProps: {\n                          iconName: 'Share'\n                        },\n                        subMenuProps: {\n                          items: [\n                            {\n                              key: 'sharetoemail_1',\n                              name: 'Share to Email',\n                              title: 'Share to Email',\n                              iconProps: {\n                                iconName: 'Mail'\n                              },\n                            },\n                            {\n                              key: 'sharetofacebook_1',\n                              name: 'Share to Facebook',\n                              title: 'Share to Facebook',\n                            },\n                            {\n                              key: 'sharetotwitter_1',\n                              name: 'Share to Twitter',\n                              title: 'Share to Twitter',\n                              iconProps: {\n                                iconName: 'Share'\n                              }\n                            },\n                          ],\n                        },\n                      },\n                    ],\n                  },\n                  name: 'Share'\n                },\n                {\n                  key: 'print',\n                  iconProps: {\n                    iconName: 'Print'\n                  },\n                  name: 'Print'\n                },\n                {\n                  key: 'music',\n                  iconProps: {\n                    iconName: 'MusicInCollectionFill'\n                  },\n                  name: 'Music',\n                },\n                {\n                  key: 'divider_3',\n                  name: '-',\n                },\n                {\n                  key: 'Bing',\n                  name: 'Go to Bing',\n                  href: 'http://www.bing.com'\n                },\n              ]\n            }\n          />) : (null) }\n\n        { showCallout && (\n          <Callout\n            setInitialFocus={ true }\n            onDismiss={ () => this.setState({ showCallout: false }) }\n          >\n            <Button onClick={ () => this.setState({ showCallout: false }) }>Hello world</Button>\n          </Callout>\n        ) }\n      </div>\n    );\n  }\n\n  private _onClick(event: React.MouseEvent<any>) {\n    this.setState({ target: event.target, isContextMenuVisible: true });\n  }\n\n  private _onDismiss(event: any) {\n    this.setState({ isContextMenuVisible: false });\n  }\n}\n"; });