define([], function() { return "/* tslint:disable:no-unused-variable */\nimport * as React from 'react';\n/* tslint:enable:no-unused-variable */\nimport { Button } from '../../../../Button';\nimport { Fabric } from '../../../../Fabric';\nimport { DetailsList } from '../../../../DetailsList';\n\nlet _columns = [\n  {\n    key: 'name',\n    name: 'Name',\n    fieldName: 'name',\n    minWidth: 100,\n    maxWidth: 200,\n    isResizable: true\n  },\n  {\n    key: 'color',\n    name: 'Color',\n    fieldName: 'color',\n    minWidth: 100,\n    maxWidth: 200\n  }\n];\nlet _items = [\n  {\n    key: 'a',\n    name: 'a',\n    color: 'red'\n  },\n  {\n    key: 'b',\n    name: 'b',\n    color: 'red'\n  },\n  {\n    key: 'c',\n    name: 'c',\n    color: 'blue'\n  },\n  {\n    key: 'd',\n    name: 'd',\n    color: 'blue'\n  },\n  {\n    key: 'e',\n    name: 'e',\n    color: 'blue'\n  }\n];\n\nfunction groupBy(items, fieldName) {\n  let groups = items.reduce((currentGroups, currentItem, index) => {\n    let lastGroup = currentGroups[currentGroups.length - 1];\n    let fieldValue = currentItem[fieldName];\n\n    if (!lastGroup || lastGroup.value !== fieldValue) {\n      currentGroups.push({\n        key: 'group' + fieldValue + index,\n        name: `By \"${fieldValue}\"`,\n        value: fieldValue,\n        startIndex: index,\n        level: 0,\n        count: 0\n      });\n    }\n    if (lastGroup) {\n      lastGroup.count = index - lastGroup.startIndex;\n    }\n    return currentGroups;\n  }, []);\n\n  // Fix last group count\n  let lastGroup = groups[groups.length - 1];\n\n  if (lastGroup) {\n    lastGroup.count = items.length - lastGroup.startIndex;\n  }\n\n  return groups;\n}\n\nexport class DetailsListGroupedExample extends React.Component<any, any> {\n  constructor() {\n    super();\n\n    this.state = {\n      items: _items\n    };\n  }\n\n  public render() {\n    let { items } = this.state;\n\n    return (\n      <Fabric className='foo'>\n        <Button onClick={ () => this._addItem() }>Add an item</Button>\n        <DetailsList\n          items={ items }\n          groups={ groupBy(items, 'color') }\n          columns={ _columns }\n        />\n      </Fabric>\n    );\n  }\n\n  private _addItem() {\n    let items = this.state.items;\n\n    this.setState({\n      items: items.concat([{\n        key: 'item-' + items.length,\n        name: 'New item ' + items.length,\n        color: 'blue'\n      }])\n    });\n  }\n\n}\n"; });