define([], function() { return "import * as React from 'react';\nimport {\n  Checkbox,\n  Dropdown,\n  Facepile,\n  IFacepilePersona,\n  IFacepileProps,\n  PersonaSize,\n  Slider\n} from '../../../../index';\nimport { facepilePersonas } from './FacepileExampleData';\nimport './Facepile.Examples.scss';\n\nexport enum ExtraDataType {\n  none = 0,\n  name = 1\n}\n\nexport interface IFacepileBasicExampleState {\n  numberOfFaces: any;\n  imagesFadeIn: boolean;\n  extraDataType: ExtraDataType;\n  personaSize: PersonaSize;\n}\n\nexport class FacepileBasicExample extends React.Component<any, IFacepileBasicExampleState> {\n  public constructor() {\n    super();\n\n    this.state = {\n      numberOfFaces: 3,\n      imagesFadeIn: true,\n      extraDataType: ExtraDataType.none,\n      personaSize: PersonaSize.extraSmall\n    };\n  }\n\n  public render() {\n    let { extraDataType, numberOfFaces, personaSize } = this.state;\n    let facepileProps: IFacepileProps = {\n      personaSize: personaSize,\n      personas: facepilePersonas.slice(0, numberOfFaces),\n      getPersonaProps: (persona: IFacepilePersona) => {\n        if (extraDataType === ExtraDataType.name) {\n          return {\n            imageShouldFadeIn: this.state.imagesFadeIn,\n            hidePersonaDetails: false\n          };\n        }\n        return {\n          imageShouldFadeIn: this.state.imagesFadeIn\n        };\n      }\n    };\n\n    return (\n      <div className={ 'ms-FacepileExample' }>\n        <Facepile {...facepileProps} />\n        <div className={ 'control' }>\n          <Slider\n            label='Number of Personas:'\n            min={ 1 }\n            max={ 5 }\n            step={ 1 }\n            showValue={ true }\n            value={ numberOfFaces }\n            onChange={ value => this.setState((prevState: IFacepileBasicExampleState) => {\n              prevState.numberOfFaces = value;\n              return prevState;\n            }) }\n            />\n        </div>\n        <Checkbox\n          label='Fade In'\n          checked={ this.state.imagesFadeIn }\n          onChange={ (ev, checked) => {\n            this.setState((prevState: IFacepileBasicExampleState) => {\n              prevState.imagesFadeIn = checked;\n              return prevState;\n            });\n          } }\n          />\n        <Dropdown\n          label='Persona Size:'\n          selectedKey={ this.state.personaSize }\n          options={\n            [\n              { key: PersonaSize.extraSmall, text: PersonaSize[PersonaSize.extraSmall] },\n              { key: PersonaSize.extraExtraSmall, text: PersonaSize[PersonaSize.extraExtraSmall] }\n            ]\n          }\n          onChanged={ value => this.setState((prevState: IFacepileBasicExampleState) => {\n            prevState.personaSize = value.key as PersonaSize;\n            return prevState;\n          }) }\n          />\n        <Dropdown\n          label='Additional Data:'\n          selectedKey={ this.state.extraDataType }\n          options={\n            [\n              { key: ExtraDataType.none, text: ExtraDataType[ExtraDataType.none] },\n              { key: ExtraDataType.name, text: ExtraDataType[ExtraDataType.name] }\n            ]\n          }\n          onChanged={ value => this.setState((prevState: IFacepileBasicExampleState) => {\n            prevState.extraDataType = value.key as ExtraDataType;\n            return prevState;\n          }) }\n        />\n      </div>\n    );\n  }\n}"; });