define([], function() { return "import * as React from 'react';\nimport {\n  IFacepileProps,\n  Facepile,\n  OverflowButtonType,\n} from '../../../../Facepile';\nimport { Dropdown } from '../../../../Dropdown';\nimport { Slider } from '../../../../Slider';\nimport { facepilePersonas } from './FacepileExampleData';\nimport './Facepile.Examples.scss';\n\nconst facepileProps: IFacepileProps = {\n  personas: facepilePersonas,\n  maxDisplayablePersonas: 5,\n  overflowButtonType: OverflowButtonType.downArrow,\n  overflowButtonProps: {\n    ariaLabel: 'More info',\n    onClick: (ev: React.MouseEvent<HTMLButtonElement>) =>\n      alert('overflow icon clicked')\n  }\n};\n\nexport interface IFacepileOverflowExampleState {\n  displayedPersonas: any;\n  overflowButtonType: OverflowButtonType;\n}\n\nexport class FacepileOverflowExample extends React.Component<any, IFacepileOverflowExampleState> {\n  public constructor() {\n    super();\n\n    this.state = {\n      displayedPersonas: 5,\n      overflowButtonType: OverflowButtonType.none\n    };\n  }\n\n  public render() {\n    let { displayedPersonas, overflowButtonType } = this.state;\n    facepileProps.maxDisplayablePersonas = displayedPersonas;\n    facepileProps.overflowButtonType = overflowButtonType;\n\n    return (\n      <div className={ 'ms-FacepileExample' }>\n        <Facepile {...facepileProps} />\n        <div className={ 'control' }>\n          <Slider\n            label='Number of Personas Shown:'\n            min={ 0 }\n            max={ 6 }\n            step={ 1 }\n            showValue={ true }\n            value={ this.state.displayedPersonas }\n            onChange={ value => this.setState((prevState: IFacepileOverflowExampleState) => {\n              prevState.displayedPersonas = value;\n              return prevState;\n            }) }\n            />\n        </div>\n        <Dropdown\n          label='Overflow Type:'\n          selectedKey={ this.state.overflowButtonType }\n          options={\n            [\n              { key: OverflowButtonType.none, text: OverflowButtonType[OverflowButtonType.none] },\n              { key: OverflowButtonType.descriptive, text: OverflowButtonType[OverflowButtonType.descriptive] },\n              { key: OverflowButtonType.downArrow, text: OverflowButtonType[OverflowButtonType.downArrow] },\n              { key: OverflowButtonType.more, text: OverflowButtonType[OverflowButtonType.more] },\n\n            ]\n          }\n          onChanged={ value => this.setState((prevState: IFacepileOverflowExampleState) => {\n            prevState.overflowButtonType = value.key as OverflowButtonType;\n            return prevState;\n          }) }\n          />\n      </div>\n    );\n  }\n}"; });