define([], function() { return "import * as React from 'react';\nimport {\n  css,\n  autobind\n} from '@uifabric/utilities';\nimport {\n  FocusZone,\n  FocusZoneDirection,\n  Button,\n  TextField,\n  List\n} from '../../../../index';\nimport './List.Scrolling.Example.scss';\n\nexport interface IListScrollingExampleProps {\n  items: any[];\n}\n\nexport interface IListScrollingExampleState {\n  selectedIndex: number;\n}\n\nconst evenItemHeight = 25;\nconst oddItemHeight = 50;\nconst numberOfItemsOnPage = 10;\n\nexport class ListScrollingExample extends React.Component<IListScrollingExampleProps, IListScrollingExampleState> {\n  private _list: List;\n\n  constructor(props) {\n    super(props);\n\n    this.state = {\n      selectedIndex: 0\n    };\n  }\n\n  public render() {\n    let { items } = this.props;\n\n    return (\n      <FocusZone direction={ FocusZoneDirection.vertical }>\n        <div>\n          <Button onClick={ () => this._scrollRelative(-10) }>-10</Button>\n          <Button onClick={ () => this._scrollRelative(-1) }>-1</Button>\n          <Button onClick={ () => this._scrollRelative(1) }>+1</Button>\n          <Button onClick={ () => this._scrollRelative(10) }>+10</Button>\n        </div>\n\n        <div>\n          Scroll item index:\n          <TextField value={ this.state.selectedIndex.toString(10) } onChanged={ (value) => {\n            this._scroll(parseInt(value, 10) || 0);\n          } } />\n        </div>\n\n        <div className='ms-ListScrollingExample-container' data-is-scrollable={ true }>\n          <List\n            ref={ this._resolveList }\n            items={ items }\n            getPageHeight={ (idx) => {\n              let h = 0;\n              for (let i = idx; i < idx + numberOfItemsOnPage; ++i) {\n                const isEvenRow = i % 2 === 0;\n\n                h += isEvenRow ? evenItemHeight : oddItemHeight;\n              }\n              return h;\n            } }\n            onRenderCell={ (item, index) => (\n              <div className='ms-ListScrollingExample-itemCell' data-is-focusable={ true }>\n                <div className={ css('ms-ListScrollingExample-itemContent', {\n                  'ms-ListScrollingExample-itemContent-even': index % 2 === 0,\n                  'ms-ListScrollingExample-itemContent-odd': index % 2 === 1\n                }) }>\n                  { index } &nbsp; { item.name }\n                </div>\n              </div>\n            ) }\n            />\n        </div>\n      </FocusZone>\n    );\n  }\n\n  private _scrollRelative(delta: number): void {\n    this._scroll(this.state.selectedIndex + delta);\n  }\n\n  private _scroll(index: number) {\n    const updatedSelectedIndex = Math.min(Math.max(index, 0), this.props.items.length - 1);\n\n    this.setState({\n      selectedIndex: updatedSelectedIndex\n    }, () => {\n      this._list.scrollToIndex(updatedSelectedIndex, (idx) => idx % 2 === 0 ? evenItemHeight : oddItemHeight);\n    });\n  }\n\n  @autobind\n  private _resolveList(list: List) {\n    this._list = list;\n  }\n}\n"; });