module.exports = "import * as React from 'react';\nimport { BaseButton } from './BaseButton';\nimport { Button } from './Button';\n\nexport interface IButton {\n  /**\n   * Focuses the button.\n   */\n  focus();\n}\n\nexport interface IButtonProps extends React.HTMLProps<HTMLButtonElement | HTMLAnchorElement | BaseButton | Button> {\n  /**\n   * If provided, this component will be rendered as an anchor.\n   * @default ElementType.anchor\n   */\n  href?: string;\n\n  /**\n   * Whether the button is disabled\n   */\n  disabled?: boolean;\n\n  /**\n   * If provided, additional class name to provide on the root element.\n   */\n  className?: string;\n\n  /**\n   * The aria label of the button for the benefit of screen readers.\n   */\n  ariaLabel?: string;\n\n  /**\n   * Detailed description of the button for the benefit of screen readers.\n   *\n   * Besides the compound button, other button types will need more information provided to screen reader.\n   */\n  ariaDescription?: string;\n\n  /**\n   * The button icon shown in command or hero type.\n   * Deprecated at v1.2.3, to be removed at >= v2.0.0. Use IconButton instead.\n   */\n  icon?: string;\n\n  /**\n   * Description of the action this button takes.\n   * Only used for compound buttons\n   * Deprecated at v1.2.3, to be removed at >= v2.0.0. Use CompoundButton instead\n   */\n  description?: string;\n\n  /**\n   * The type of button to render.\n   * @defaultvalue ButtonType.default\n   * @deprecated\n   * Deprecated at v1.2.3, to be removed at >= v2.0.0. Use specific button component instead\n   */\n\n  buttonType?: ButtonType;\n\n  /**\n   * @deprecated\n   * Deprecated at v0.56.2, to be removed at >= v1.0.0. Just pass in button props instead;\n   * they will be mixed into the button/anchor element rendered by the component.\n   */\n  rootProps?: React.HTMLProps<HTMLButtonElement> | React.HTMLProps<HTMLAnchorElement>;\n}\n\nexport enum ElementType {\n  /** <button> element. */\n  button = 0,\n  /** <a> element. */\n  anchor = 1\n}\n\nexport enum ButtonType {\n  normal = 0,\n  primary = 1,\n  hero = 2,\n  compound = 3,\n  command = 4,\n  icon = 5,\n  default = 6\n}";