module.exports = "import * as React from 'react';\nimport { Tooltip } from './Tooltip';\nimport { ICalloutProps } from '../../Callout';\nimport { DirectionalHint } from '../../common/DirectionalHint';\n\n/**\n * Tooltip component props.\n */\n\nexport interface ITooltipProps extends React.HTMLProps<HTMLDivElement | Tooltip> {\n  /**\n   * Properties to pass through for Callout, reference detail properties in ICalloutProps\n   */\n  calloutProps?: ICalloutProps;\n\n  /**\n   *  String to be passed to the tooltip\n   */\n  content?: string;\n\n  /**\n   * Length of delay. Can be set to zero if you do not want a delay.\n   * @default medium\n   */\n  delay?: TooltipDelay;\n\n  /**\n   * Element to anchor the Tooltip to.\n   */\n  targetElement?: HTMLElement;\n\n  /**\n   * Indicator of how the tooltip should be anchored to its targetElement.\n   * @default DirectionalHint.topCenter\n   */\n  directionalHint?: DirectionalHint;\n}\n\nexport enum TooltipDelay {\n  zero = 0,\n  medium = 1\n}";